Bug 635961

Summary: [Pango][Cursoring][mr_IN] - Composed Character Deletion is wrong with DELETE Button
Product: [Fedora] Fedora Reporter: Satyabrata Maitra <smaitra>
Component: pangoAssignee: Akira TAGOH <tagoh>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 19CC: behdad, fonts-bugs, i18n-bugs, mshao, pnemade, smaitra, tagoh
Target Milestone: ---Keywords: i18n
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-17 08:23:55 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 631761, 635957    

Description Satyabrata Maitra 2010-09-21 02:59:31 EDT
Description of problem:
In pango (tested it in gedit and firefox), the deletion with DELETE key, is not following the rule of deleting entire composed character with a single key press. It is deleting each of the character in a composed character, one by one.

Version-Release number of selected component (if applicable):
pango-1.28.0-1.fc13.i686

How reproducible:
Always


Steps to Reproduce:
1. Open gedit or firefox in mr_IN locale
2. Activate ibus with CTRL+SPACE. Select marathi - Inscript
3. Type : kdk (which means consonant KA + Halant + Consonant KA)
4. Position the cursor at the beginning point of the composed character.
5. Now, press DELETE key. (It needs 3 key strokes to delete the whole character, but it should be done with a single key stroke in fact)

Actual results:
Delete composed character is happening in wrong manner. Actually it is now following the convention (Rule) of BACKSPACE, when deleting a composed character comes into picture.

Expected results:
It should delete the whole composed character in one DELETE key stroke when cursor positions at the start of the composed character.

Additional info:

OS : Fedora 13
Arch : i386
Comment 1 Akira TAGOH 2011-05-24 09:06:35 EDT
Does this issue still persist in f15 say?
Comment 2 A S Alam 2011-05-25 03:22:49 EDT
with gedit/firefox, I need to use 2 stroke instead of 3 strokes with DEL button, still not fixed.
Comment 3 A S Alam 2011-05-25 03:22:58 EDT
with gedit/firefox, I need to use 2 stroke instead of 3 strokes with DEL button, still not fixed.
Comment 4 Satyabrata Maitra 2011-05-27 01:08:02 EDT
Aman

Actually it should be deleted in a single stroke only, instead of 2 or 3 or more. Any number of strokes other than a single stroke to delete, is wrong actually. So, even if it is taking 2 strokes, its NOT Fixed. :)
Comment 5 Fedora Admin XMLRPC Client 2012-01-10 10:43:20 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Akira TAGOH 2012-06-26 03:17:06 EDT
Can you please file a bug upstream if you haven't done it yet?
Comment 7 Satyabrata Maitra 2012-06-27 05:50:01 EDT
Hi Tagoh

Let me check in unstream, this bug filed long time back, can not remember really.
Comment 8 Parag Nemade 2012-07-26 05:53:21 EDT
This is still present in Fedora 17.
Comment 9 Fedora Admin XMLRPC Client 2013-05-14 08:13:18 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora End Of Life 2013-07-04 01:34:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Akira TAGOH 2013-07-05 02:46:03 EDT
same to what it was mentioned at comment#2 on f19. interesting thing is it seems not recongized as a single character but two on moving cursor. if it's correct, the behavior of delete key looks correct IMHO. otherwise there is similar issue for cursor. it should be fixed in harfbuzz perhaps?
Comment 12 Behdad Esfahbod 2013-07-05 09:13:56 EDT
Upstream in Pango.
Comment 13 Fedora End Of Life 2015-01-09 11:21:47 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 08:23:55 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.